# Interface GpxFeatureOptions

Optional properties for a GPX feature.

interface GpxFeatureOptions {
desc?: string;
extensions?: Element[];
id?: string;
name?: string;
time?: string;
}

#####
Index

### Properties

desc?
extensions?
id?
name?
time?

##
Properties

### `Optional` desc

desc?: string

The description of the feature.

### `Optional` extensions

extensions?: Element[]

Custom extensions for the GPX feature.

### `Optional` id

id?: string

Unique identifier for the feature.

### `Optional` name

name?: string

The name of the feature.

### `Optional` time

time?: string

Creation/modification timestamp for element (ISO 8601 UTC format).